From: "Patrick McLean" <chutzpah@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/jsondiff/
Date: Wed, 29 Apr 2020 06:54:44 +0000 (UTC) [thread overview]
Message-ID: <1588143276.44c2fe03f503306c45d41d8139e5efd3706911d0.chutzpah@gentoo> (raw)
commit: 44c2fe03f503306c45d41d8139e5efd3706911d0
Author: Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Wed Apr 29 06:51:48 2020 +0000
Commit: Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Wed Apr 29 06:54:36 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=44c2fe03
dev-python/jsondiff-1.2.0: Version bump, add py38
Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>
dev-python/jsondiff/Manifest | 1 +
dev-python/jsondiff/jsondiff-1.2.0.ebuild | 29 +++++++++++++++++++++++++++++
2 files changed, 30 insertions(+)
diff --git a/dev-python/jsondiff/Manifest b/dev-python/jsondiff/Manifest
index ec5b32ac77e..975a58e02a2 100644
--- a/dev-python/jsondiff/Manifest
+++ b/dev-python/jsondiff/Manifest
@@ -1 +1,2 @@
DIST jsondiff-1.1.2.tar.gz 7803 BLAKE2B cbfcfdb2c6c3bb721b4db43aca1d66649257db2cd9feb9655015e621fcd90c72af087696b9553a10ac89cdaf5f23d8748463e1a13bdb19207e34e12e66629544 SHA512 ca96bb80a6f7a34c8c5bcde74856dc1c4935b3e2979330ecfc33432aff83968e671b2aaf310c77f2c7d431be1ae6e20a960879700ba3c903a09a48b23d4c0288
+DIST jsondiff-1.2.0.tar.gz 15076 BLAKE2B 2d659598e6c647c8ea6622fc982808381e570c6ced23b5e77431b52e9fa746a5dbc743c739506362497d1f45dd2c290f23f459713ef31e927c05816e56659762 SHA512 5aa391ccc42d07330dfcf272b78aeb130f6f9033ca8b00cbea93549e32f07b98ea84cd6a1e61ab331da3de92838c69a501f95a9adb5f48e2eec46eb653264d55
diff --git a/dev-python/jsondiff/jsondiff-1.2.0.ebuild b/dev-python/jsondiff/jsondiff-1.2.0.ebuild
new file mode 100644
index 00000000000..29227333f39
--- /dev/null
+++ b/dev-python/jsondiff/jsondiff-1.2.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="Diff JSON and JSON-like structures in Python"
+HOMEPAGE="https://github.com/xlwings/jsondiff https://pypi.org/project/jsondiff/"
+SRC_URI="https://github.com/fzumstein/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="
+ test? (
+ dev-python/nose-random[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests nose
+
+python_prepare_all() {
+ # Avoid file collision with jsonpatch's jsondiff cli.
+ sed -e "/'jsondiff=jsondiff.cli/ d" -i setup.py || die
+ distutils-r1_python_prepare_all
+}
next reply other threads:[~2020-04-29 6:54 UTC|newest]
Thread overview: 33+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-04-29 6:54 Patrick McLean [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-09-14 12:32 [gentoo-commits] repo/gentoo:master commit in: dev-python/jsondiff/ Michał Górny
2024-09-14 11:31 Arthur Zamarin
2024-08-30 1:56 Michał Górny
2024-08-03 8:44 Michał Górny
2024-08-03 8:30 Jakov Smolić
2024-07-20 5:09 Michał Górny
2024-07-15 9:04 Michał Górny
2024-06-30 2:52 Michał Górny
2024-05-18 5:05 Michał Górny
2023-11-24 15:22 Arthur Zamarin
2023-05-26 20:46 Arthur Zamarin
2022-11-06 7:59 Michał Górny
2022-11-06 7:07 Sam James
2022-10-17 9:29 Andrew Ammerlaan
2022-05-15 10:41 Michał Górny
2022-05-15 8:19 Jakov Smolić
2022-04-10 21:20 Michał Górny
2022-03-15 14:14 Michał Górny
2022-03-15 11:52 Jakov Smolić
2022-03-15 9:30 Michał Górny
2022-01-28 18:41 Arthur Zamarin
2022-01-24 18:11 Arthur Zamarin
2021-12-13 3:09 Yixun Lan
2021-08-24 11:16 Louis Sautier
2021-05-26 8:36 Michał Górny
2021-05-26 8:11 Sam James
2021-04-19 21:22 Michał Górny
2021-04-19 21:22 Michał Górny
2020-07-05 15:39 Michał Górny
2020-06-10 15:11 Michał Górny
2020-02-05 15:29 Michał Górny
2019-06-25 1:35 Zac Medico
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1588143276.44c2fe03f503306c45d41d8139e5efd3706911d0.chutzpah@gentoo \
--to=chutzpah@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox